Udon is under active development. Documentation not final.
udonudon
Privileged

Apply a privileged action

Apply one allowlisted privileged action. `choice` is `on`/`off`/`set`, with an optional integer `value` for `set` (minutes). Requires the **admin** role.

POST
/api/system/privileged/{key}

Authorization

udon_session<token>

In: cookie

Path Parameters

key*string

The privileged action key, e.g. power.sleep.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/api/system/privileged/string" \  -H "Content-Type: application/json" \  -d '{    "choice": "on"  }'
{  "escalated": true,  "helperRoot": true,  "needsElevation": true,  "fullDiskAccess": true,  "fullDiskAccessStatus": "granted",  "needsFullDiskAccess": true,  "daemonExecutable": "string",  "fullDiskAccessDetail": "string",  "categories": [    "string"  ],  "actions": [    {      "key": "string",      "category": "string",      "label": "string",      "kind": "string",      "note": "string",      "current": "string",      "enabled": true,      "minutes": 0    }  ]}

Ask AI

Answers from Udon's documentation.

Ask how to install Udon, run containers, or share folders.